function fish_greeting
	if test $USER = 'root'; return; end
	if test $TERM = 'xterm-kitty'
		fastfetch
		if test $HYPRLAND_INSTANCE_SIGNATURE; echo -e "\e[34m \e[39m""$(hyprctl splash)"; end
	else if test $TERM = 'linux'
		fastfetch -c none
	else
		fastfetch -l small
	end
end
